<?php
namespace MageWorx\OptionInventory\Block\Adminhtml\Product\Edit\Tab\Options\Type\Select\Quantity\Option;

/**
 * Interceptor class for @see \MageWorx\OptionInventory\Block\Adminhtml\Product\Edit\Tab\Options\Type\Select\Quantity\Option
 */
class Interceptor extends \MageWorx\OptionInventory\Block\Adminhtml\Product\Edit\Tab\Options\Type\Select\Quantity\Option implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Catalog\Model\Config\Source\Product\Options\Price $optionPrice, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $optionPrice, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
